Index: /trunk/phpgwapi/inc/fpdf/tutorial/tuto5.php
===================================================================
--- /trunk/phpgwapi/inc/fpdf/tutorial/tuto5.php	(revision 2)
+++ /trunk/phpgwapi/inc/fpdf/tutorial/tuto5.php	(revision 7655)
@@ -38,5 +38,5 @@
 	$w=array(40,35,40,45);
 	//Header
-	for($i=0;$i<count($header);$i++)
+	for($i=0;$i<count($header);++$i)
 		$this->Cell($w[$i],7,$header[$i],1,0,'C');
 	$this->Ln();
@@ -65,5 +65,5 @@
 	//Header
 	$w=array(40,35,40,45);
-	for($i=0;$i<count($header);$i++)
+	for($i=0;$i<count($header);++$i)
 		$this->Cell($w[$i],7,$header[$i],1,0,'C',1);
 	$this->Ln();
Index: /trunk/phpgwapi/inc/fpdf/fpdf.php
===================================================================
--- /trunk/phpgwapi/inc/fpdf/fpdf.php	(revision 2)
+++ /trunk/phpgwapi/inc/fpdf/fpdf.php	(revision 7655)
@@ -427,5 +427,5 @@
 	$w=0;
 	$l=strlen($s);
-	for($i=0;$i<$l;$i++)
+	for($i=0;$i<$l;++$i)
 		$w+=$cw[$s{$i}];
 	return $w*$this->FontSize/1000;
@@ -483,5 +483,5 @@
 		$d=0;
 		$nb=count($this->diffs);
-		for($i=1;$i<=$nb;$i++)
+		for($i=1;$i<=$nb;++$i)
 			if($this->diffs[$i]==$diff)
 			{
@@ -748,10 +748,10 @@
 			}
 			$this->Cell($w,$h,substr($s,$j,$i-$j),$b,2,$align,$fill);
-			$i++;
+			++$i;
 			$sep=-1;
 			$j=$i;
 			$l=0;
 			$ns=0;
-			$nl++;
+			++$nl;
 			if($border and $nl==2)
 				$b=$b2;
@@ -762,5 +762,5 @@
 			$sep=$i;
 			$ls=$l;
-			$ns++;
+			++$ns;
 		}
 		$l+=$cw[$c];
@@ -771,5 +771,5 @@
 			{
 				if($i==$j)
-					$i++;
+					++$i;
 				if($this->ws>0)
 				{
@@ -793,10 +793,10 @@
 			$l=0;
 			$ns=0;
-			$nl++;
+			++$nl;
 			if($border and $nl==2)
 				$b=$b2;
 		}
 		else
-			$i++;
+			++$i;
 	}
 	//Last chunk
@@ -837,5 +837,5 @@
 			//Explicit line break
 			$this->Cell($w,$h,substr($s,$j,$i-$j),0,2,'',0,$link);
-			$i++;
+			++$i;
 			$sep=-1;
 			$j=$i;
@@ -847,5 +847,5 @@
 				$wmax=($w-2*$this->cMargin)*1000/$this->FontSize;
 			}
-			$nl++;
+			++$nl;
 			continue;
 		}
@@ -865,10 +865,10 @@
 					$w=$this->w-$this->rMargin-$this->x;
 					$wmax=($w-2*$this->cMargin)*1000/$this->FontSize;
-					$i++;
-					$nl++;
+					++$i;
+					++$nl;
 					continue;
 				}
 				if($i==$j)
-					$i++;
+					++$i;
 				$this->Cell($w,$h,substr($s,$j,$i-$j),0,2,'',0,$link);
 			}
@@ -887,8 +887,8 @@
 				$wmax=($w-2*$this->cMargin)*1000/$this->FontSize;
 			}
-			$nl++;
+			++$nl;
 		}
 		else
-			$i++;
+			++$i;
 	}
 	//Last chunk
@@ -1089,5 +1089,5 @@
 	{
 		//Replace number of pages
-		for($n=1;$n<=$nb;$n++)
+		for($n=1;$n<=$nb;++$n)
 			$this->pages[$n]=str_replace($this->AliasNbPages,$nb,$this->pages[$n]);
 	}
@@ -1103,5 +1103,5 @@
 	}
 	$filter=($this->compress) ? '/Filter /FlateDecode ' : '';
-	for($n=1;$n<=$nb;$n++)
+	for($n=1;$n<=$nb;++$n)
 	{
 		//Page
@@ -1145,5 +1145,5 @@
 	$this->_out('<</Type /Pages');
 	$kids='/Kids [';
-	for($i=0;$i<$nb;$i++)
+	for($i=0;$i<$nb;++$i)
 		$kids.=(3+2*$i).' 0 R ';
 	$this->_out($kids.']');
@@ -1230,5 +1230,5 @@
 			$cw=&$font['cw'];
 			$s='[';
-			for($i=32;$i<=255;$i++)
+			for($i=32;$i<=255;++$i)
 				$s.=$cw[chr($i)].' ';
 			$this->_out($s.']');
@@ -1283,5 +1283,5 @@
 		{
 			$trns='';
-			for($i=0;$i<count($info['trns']);$i++)
+			for($i=0;$i<count($info['trns']);++$i)
 				$trns.=$info['trns'][$i].' '.$info['trns'][$i].' ';
 			$this->_out('/Mask ['.$trns.']');
@@ -1390,5 +1390,5 @@
 	$this->_out('0 '.($this->n+1));
 	$this->_out('0000000000 65535 f ');
-	for($i=1;$i<=$this->n;$i++)
+	for($i=1;$i<=$this->n;++$i)
 		$this->_out(sprintf('%010d 00000 n ',$this->offsets[$i]));
 	//Trailer
Index: /trunk/phpgwapi/inc/fpdf/font/makefont/makefont.php
===================================================================
--- /trunk/phpgwapi/inc/fpdf/font/makefont/makefont.php	(revision 5928)
+++ /trunk/phpgwapi/inc/fpdf/font/makefont/makefont.php	(revision 7655)
@@ -24,5 +24,5 @@
 		}
 	}
-	for($i=0;$i<=255;$i++)
+	for($i=0;$i<=255;++$i)
 		if(!isset($cc2gn[$i]))
 			$cc2gn[$i]='.notdef';
@@ -114,5 +114,5 @@
 			$widths['Delta']=$widths['increment'];
 		//Order widths according to map
-		for($i=0;$i<=255;$i++)
+		for($i=0;$i<=255;++$i)
 		{
 			if(!isset($widths[$map[$i]]))
@@ -185,5 +185,5 @@
 	$s="array(\n\t";
 	$cw=$fm['Widths'];
-	for($i=0;$i<=255;$i++)
+	for($i=0;$i<=255;++$i)
 	{
 		if(chr($i)=="'")
@@ -211,5 +211,5 @@
 	$s='';
 	$last=0;
-	for($i=32;$i<=255;$i++)
+	for($i=32;$i<=255;++$i)
 	{
 		if($map[$i]!=$ref[$i])
@@ -257,5 +257,5 @@
 	//Seek OS/2 table
 	$found=false;
-	for($i=0;$i<$nb;$i++)
+	for($i=0;$i<$nb;++$i)
 	{
 		if(fread($f,4)=='OS/2')
Index: /trunk/phpgwapi/inc/fpdf/font/courier.php
===================================================================
--- /trunk/phpgwapi/inc/fpdf/font/courier.php	(revision 2)
+++ /trunk/phpgwapi/inc/fpdf/font/courier.php	(revision 7655)
@@ -1,4 +1,4 @@
 <?php
-for($i=0;$i<=255;$i++)
+for($i=0;$i<=255;++$i)
 	$fpdf_charwidths['courier'][chr($i)]=600;
 $fpdf_charwidths['courierB']=$fpdf_charwidths['courier'];
Index: /trunk/phpgwapi/inc/class.nextmatchs.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.nextmatchs.inc.php	(revision 3893)
+++ /trunk/phpgwapi/inc/class.nextmatchs.inc.php	(revision 7655)
@@ -434,5 +434,5 @@
 			while($GLOBALS['phpgw']->db->next_record())
 			{
-				$index++;
+				++$index;
 				$filter_obj[$index][0] = $GLOBALS['phpgw']->db->f($idxfieldname);
 				$filter_obj[$index][1] = $GLOBALS['phpgw']->db->f($strfieldname);
@@ -453,5 +453,5 @@
 			{
 				$indexlimit = count($search_obj);
-				for ($index=0; $index<$indexlimit; $index++)
+				for ($index=0; $index<$indexlimit; ++$index)
 				{
 					if ($this->_qfield == '')
@@ -510,5 +510,5 @@
 					}
 
-					for ($index=0; $index<$indexlimit; $index++)
+					for ($index=0; $index<$indexlimit; ++$index)
 					{
 						$filter_obj[2+$index][0] = $user_groups[$index]['account_id'];
@@ -523,5 +523,5 @@
 				$indexlimit = count($filter_obj);
 
-				for ($index=0; $index<$indexlimit; $index++)
+				for ($index=0; $index<$indexlimit; ++$index)
 				{
 					if ($this->_filter == '')
@@ -583,5 +583,5 @@
 			$indexlimit = count($filter_obj);
 
-			for($index=0; $index<$indexlimit; $index++)
+			for($index=0; $index<$indexlimit; ++$index)
 			{
 				if($filter == '')
Index: /trunk/phpgwapi/inc/class.accounts_ldap.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.accounts_ldap.inc.php	(revision 5141)
+++ /trunk/phpgwapi/inc/class.accounts_ldap.inc.php	(revision 7655)
@@ -277,5 +277,5 @@
 					$members = $this->member($this->account_id);
 					$newData['memberuid'] = array();
-					for($i=0;$i<count($members);$i++)
+					for($i=0;$i<count($members);++$i)
 					{
 						$currname = $this->id2name($members[$i]['account_id']);
@@ -308,5 +308,5 @@
 					#_debug_array($members);
 					$newData['memberuid'] = array();
-					for($i=0;$i<count($members);$i++)
+					for($i=0;$i<count($members);++$i)
 					{
 						$currname = $this->id2name($members[$i]['account_id']);
Index: /trunk/phpgwapi/inc/class.crypto.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.crypto.inc.php	(revision 2)
+++ /trunk/phpgwapi/inc/class.crypto.inc.php	(revision 7655)
@@ -101,5 +101,5 @@
 				$x = strlen($iv);
 					$this->iv = '';
-				for($i = 0; $i < $ivsize; $i++)
+				for($i = 0; $i < $ivsize; ++$i)
 				{
 					$this->iv .= $iv[$i % $x];
@@ -109,5 +109,5 @@
 				$x = strlen($key);
 					$this->key = '';
-				for($i = 0; $i < $keysize; $i++)
+				for($i = 0; $i < $keysize; ++$i)
 				{
 					$this->key .= $key[$i % $x];
Index: /trunk/phpgwapi/inc/csstidy/class.csstidy_optimise.php
===================================================================
--- /trunk/phpgwapi/inc/csstidy/class.csstidy_optimise.php	(revision 3052)
+++ /trunk/phpgwapi/inc/csstidy/class.csstidy_optimise.php	(revision 7655)
@@ -302,5 +302,5 @@
             $color_tmp = substr($color,4,strlen($color)-5);
             $color_tmp = explode(',',$color_tmp);
-            for ( $i = 0; $i < count($color_tmp); $i++ )
+            for ( $i = 0; $i < count($color_tmp); ++$i )
             {
                 $color_tmp[$i] = trim ($color_tmp[$i]);
@@ -312,5 +312,5 @@
             }
             $color = '#';
-            for ($i = 0; $i < 3; $i++ )
+            for ($i = 0; $i < 3; ++$i )
             {
                 if($color_tmp[$i]<16) {
@@ -383,5 +383,5 @@
             $temp = array($subvalue);
         }
-        for ($l = 0; $l < count($temp); $l++)
+        for ($l = 0; $l < count($temp);++$l)
         {
             // continue if no numeric value
@@ -404,5 +404,5 @@
             {
                 $unit_found = FALSE;
-                for ($m = 0, $size_4 = count($units); $m < $size_4; $m++)
+                for ($m = 0, $size_4 = count($units); $m < $size_4; ++$m)
                 {
                     if (strpos(strtolower($temp[$l]),$units[$m]) !== FALSE)
@@ -514,5 +514,5 @@
         if(count($values) == 4)
         {
-            for($i=0;$i<4;$i++)
+            for($i=0;$i<4;++$i)
             {
                 $return[$shorthands[$property][$i]] = $values[$i].$important;
@@ -528,5 +528,5 @@
         elseif(count($values) == 2)
         {
-            for($i=0;$i<4;$i++)
+            for($i=0;$i<4;++$i)
             {
                 $return[$shorthands[$property][$i]] = (($i % 2 != 0)) ? $values[1].$important : $values[0].$important;
@@ -535,5 +535,5 @@
         else
         {
-            for($i=0;$i<4;$i++)
+            for($i=0;$i<4;++$i)
             {
                 $return[$shorthands[$property][$i]] = $values[0].$important;
@@ -558,5 +558,5 @@
         $output = array();
         $num = 0;
-        for($i = 0, $len = strlen($string);$i < $len; $i++)
+        for($i = 0, $len = strlen($string);$i < $len; ++$i)
         {
             switch($status)
@@ -619,5 +619,5 @@
 
                 $important = '';
-                for($i = 0; $i < 4; $i++)
+                for($i = 0; $i < 4; ++$i)
                 {
                     $val = $array[$value[$i]];
@@ -665,5 +665,5 @@
 
         $str_value = csstidy_optimise::explode_ws(',',$str_value);
-        for($i = 0; $i < count($str_value); $i++)
+        for($i = 0; $i < count($str_value); ++$i)
         {
             $have['clip'] = FALSE; $have['pos'] = FALSE;
@@ -672,5 +672,5 @@
             $str_value[$i] = csstidy_optimise::explode_ws(' ',trim($str_value[$i]));
 
-            for($j = 0; $j < count($str_value[$i]); $j++)
+            for($j = 0; $j < count($str_value[$i]); ++$j)
             {
                 if($have['bg'] === FALSE && (substr($str_value[$i][$j],0,4) == 'url(' || $str_value[$i][$j] === 'none'))
@@ -743,5 +743,5 @@
         $important = '';
 
-        for($i = 0; $i < $number_of_values; $i++)
+        for($i = 0; $i < $number_of_values; ++$i)
         {
             foreach($background_prop_default as $bg_property => $default_value)
Index: /trunk/phpgwapi/inc/csstidy/class.csstidy.php
===================================================================
--- /trunk/phpgwapi/inc/csstidy/class.csstidy.php	(revision 5141)
+++ /trunk/phpgwapi/inc/csstidy/class.csstidy.php	(revision 7655)
@@ -367,5 +367,5 @@
 			break;
 		}
-		$i++;
+		++$i;
 	}
 
@@ -419,5 +419,5 @@
 	$template = explode('|',$content);
 
-	for ($i = 0; $i < count($template); $i++ )
+	for ($i = 0; $i < count($template); ++$i )
 	{
 		$this->template[$i] = $template[$i];
@@ -470,5 +470,5 @@
     $cur_comment = '';
 
-    for ($i = 0, $size = strlen($string); $i < $size; $i++ )
+    for ($i = 0, $size = strlen($string); $i < $size; ++$i )
     {
         if($string{$i} == "\n" || $string{$i} == "\r")
@@ -812,5 +812,5 @@
             {
                 $this->status = $this->from;
-                $i++;
+                ++$i;
                 $this->_add_token(COMMENT, $cur_comment);
                 $cur_comment = '';
Index: /trunk/phpgwapi/inc/class.phpmailer.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.phpmailer.inc.php	(revision 5509)
+++ /trunk/phpgwapi/inc/class.phpmailer.inc.php	(revision 7655)
@@ -443,5 +443,5 @@
     function MailSend($header, $body) {
         $to = "";
-        for($i = 0; $i < count($this->to); $i++)
+        for($i = 0; $i < count($this->to); ++$i)
         {
             if($i != 0) { $to .= ", "; }
@@ -497,15 +497,15 @@
 
         // Attempt to send attach all recipients
-        for($i = 0; $i < count($this->to); $i++)
+        for($i = 0; $i < count($this->to); ++$i)
         {
             if(!$this->smtp->Recipient($this->to[$i][0]))
                 $bad_rcpt[] = $this->to[$i][0];
         }
-        for($i = 0; $i < count($this->cc); $i++)
+        for($i = 0; $i < count($this->cc); ++$i)
         {
             if(!$this->smtp->Recipient($this->cc[$i][0]))
                 $bad_rcpt[] = $this->cc[$i][0];
         }
-        for($i = 0; $i < count($this->bcc); $i++)
+        for($i = 0; $i < count($this->bcc); ++$i)
         {
             if(!$this->smtp->Recipient($this->bcc[$i][0]))
@@ -515,5 +515,5 @@
         if(count($bad_rcpt) > 0) // Create error message
         {
-            for($i = 0; $i < count($bad_rcpt); $i++)
+            for($i = 0; $i < count($bad_rcpt); ++$i)
             {
                 if($i != 0) { $error .= ", "; }
@@ -584,5 +584,5 @@
                 $connection = true;
             }
-            $index++;
+            ++$index;
         }
         if(!$connection)
@@ -645,5 +645,5 @@
         if(count($addr) > 1)
         {
-            for($i = 1; $i < count($addr); $i++)
+            for($i = 1; $i < count($addr); ++$i)
                 $addr_str .= ", " . $this->AddrFormat($addr[$i]);
         }
@@ -686,9 +686,9 @@
         $line = explode($this->LE, $message);
         $message = "";
-        for ($i=0 ;$i < count($line); $i++)
+        for ($i=0 ;$i < count($line); ++$i)
         {
           $line_part = explode(" ", $line[$i]);
           $buf = "";
-          for ($e = 0; $e<count($line_part); $e++)
+          for ($e = 0; $e<count($line_part); ++$e)
           {
               $word = $line_part[$e];
@@ -830,5 +830,5 @@
 
         // Add custom headers
-        for($index = 0; $index < count($this->CustomHeader); $index++)
+        for($index = 0; $index < count($this->CustomHeader); ++$index)
         {
             $result .= $this->HeaderLine(trim($this->CustomHeader[$index][0]), 
@@ -1053,5 +1053,5 @@
 
         // Add all attachments
-        for($i = 0; $i < count($this->attachment); $i++)
+        for($i = 0; $i < count($this->attachment); ++$i)
         {
             // Check for string attachment
@@ -1326,5 +1326,5 @@
     function InlineImageExists() {
         $result = false;
-        for($i = 0; $i < count($this->attachment); $i++)
+        for($i = 0; $i < count($this->attachment); ++$i)
         {
             if($this->attachment[$i][6] == "inline")
Index: /trunk/phpgwapi/inc/class.sector_search_ldap.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.sector_search_ldap.inc.php	(revision 5773)
+++ /trunk/phpgwapi/inc/class.sector_search_ldap.inc.php	(revision 7655)
@@ -65,6 +65,6 @@
 	$info = ldap_get_entries($this->ldap_connection, $sr);
 
-	for ($i = 0; $i < $info["count"]; $i++) {
-	    $level++;
+	for ($i = 0; $i < $info["count"]; ++$i) {
+	    ++$level;
 	    $next_ldap_context[$i] = $info[$i]["dn"];
 
@@ -90,5 +90,5 @@
 	} else {
 
-	    for ($i = 0; $i < $info["count"]; $i++) {
+	    for ($i = 0; $i < $info["count"]; ++$i) {
 		$sectors_list[$i] = $info[$i]["ou"][0];
 	    }
@@ -138,5 +138,5 @@
 	}
 
-	for ($i = 0; $i < $info["count"]; $i++) {
+	for ($i = 0; $i < $info["count"]; ++$i) {
 	    $dn = $info[$i]["dn"];
 
@@ -172,5 +172,5 @@
 		    $display .= '+';
 		else {
-		    for ($i = 0; $i < $level; $i++)
+		    for ($i = 0; $i < $level; ++$i)
 			$display .= '---';
 		}
@@ -230,5 +230,5 @@
 	}
 
-	for ($i = 0; $i < $info["count"]; $i++) {
+	for ($i = 0; $i < $info["count"]; ++$i) {
 	    $dn = trim(strtolower($info[$i]['dn']));
 	    if ($dn == $selected)
Index: /trunk/phpgwapi/inc/class.common.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.common.inc.php	(revision 5928)
+++ /trunk/phpgwapi/inc/class.common.inc.php	(revision 7655)
@@ -62,5 +62,5 @@
 			if($debug) { echo "<br>$regs[0] - $regs2[0]"; }
 
-			for($i=1;$i<5;$i++)
+			for($i=1;$i<5;++$i)
 			{
 				if($debug) { echo "<br>$i: $regs[$i] - $regs2[$i]"; }
@@ -93,5 +93,5 @@
 			if($debug) { echo "<br>$regs[0] - $regs2[0]"; }
 
-			for($i=1;$i<6;$i++)
+			for($i=1;$i<6;++$i)
 			{
 				if($debug) { echo "<br>$i: $regs[$i] - $regs2[$i]"; }
@@ -408,5 +408,5 @@
 			);
 
-			for ($i=0; $i<$size; $i++)
+			for ($i=0; $i<$size; ++$i)
 			{
 				$s .= $random_char[rand(1,61)];
@@ -435,5 +435,5 @@
 			$html_error = '<table border="0" width="100%"><tr><td align="right"><b>' . lang($text)
 				. '</b>: </td><td align="left">' . $errors[0] . '</td></tr>';
-			for ($i=1; $i<count($errors); $i++)
+			for ($i=1; $i<count($errors); ++$i)
 			{
 				$html_error .= '<tr><td>&nbsp;</td><td align="left">' . $errors[$i] . '</td></tr>';
@@ -624,5 +624,5 @@
 					}
 				}
-				$i++;
+				++$i;
 				$output_text .= "\n";
 			}
Index: /trunk/phpgwapi/inc/class.vfs_dav.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.vfs_dav.inc.php	(revision 6057)
+++ /trunk/phpgwapi/inc/class.vfs_dav.inc.php	(revision 7655)
@@ -626,5 +626,5 @@
 			$count = count ($rarray);
 			reset ($rarray);
-			for ($i = 0; (list ($key, $value) = each ($rarray)) && $i != $count; $i++)
+			for ($i = 0; (list ($key, $value) = each ($rarray)) && $i != $count; ++$i)
 			{
 				$rarray[$key . '_clean'] = $this->db_clean (array ('string' => $value));
@@ -2370,5 +2370,5 @@
 			$ext=$parts[(sizeof($parts)-1)];
 
-			for($i=0;$i<sizeof($contents);$i++)
+			for($i=0;$i<sizeof($contents);++$i)
 			{
 				if (!preg_match('/^#/',$contents[$i]))
@@ -2377,5 +2377,5 @@
 					if (sizeof($line) >= 2)
 					{
-						for($j=1;$j<sizeof($line);$j++)
+						for($j=1;$j<sizeof($line);++$j)
 						{
 							if($line[$j] == $ext)
@@ -2618,5 +2618,5 @@
 				foreach ( $prop as $key=>$value)
 				{
-					$id++;
+					++$id;
 					$new_key =  substr($value[$data['orderby']].'        ',0, 8);
 					$tmp_prop[strtolower($new_key).'_'.$id] = $value;
@@ -2693,5 +2693,5 @@
 				foreach ( $prop as $key=>$value)
 				{
-					$id++;
+					++$id;
 					$new_key =  substr($value[$data['orderby']].'        ',0, 8);
 					$tmp_prop[strtolower($new_key).'_'.$id] = $value;
@@ -2804,5 +2804,5 @@
 			}
 
-			for ($i = 1; $i != ($arg_info['params'] + 1); $i++)
+			for ($i = 1; $i != ($arg_info['params'] + 1); ++$i)
 			{
 				if (substr ($argv[$i], 0, 1) == '/')
@@ -2844,5 +2844,5 @@
 		{
 		  if(!is_array($data)) $data=array();
-			for ($i = 0; list ($key, $value) = each ($default_values); $i++)
+			for ($i = 0; list ($key, $value) = each ($default_values); ++$i)
 			{
 				if (!isset ($data[$key]))
Index: /trunk/phpgwapi/inc/class.xml.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.xml.inc.php	(revision 6037)
+++ /trunk/phpgwapi/inc/class.xml.inc.php	(revision 7655)
@@ -291,5 +291,5 @@
         
         // Calculate the amount of whitespaces to display.
-        for ( $i = 0; $i < ( $level * 2 ); $i++ )
+        for ( $i = 0; $i < ( $level * 2 ); ++$i )
         {
             // Add a whitespaces to the string.
@@ -377,5 +377,5 @@
             {
                 // Run through all children with the same name.
-                for ( $i = 1; $i <= $pos; $i++ )
+                for ( $i = 1; $i <= $pos; ++$i )
                 {
                     // Generate the full path of the child.
@@ -552,5 +552,5 @@
             
             // Now run through the siblings.
-            for ( $i = 1; $i <= $siblings; $i++ )
+            for ( $i = 1; $i <= $siblings; ++$i )
             {
                 // Create the name of the sibling.
@@ -564,5 +564,5 @@
                     
                     // Increase the counter.
-                    $counter++;
+                    ++$counter;
                     
                     // Add the old and the new name to the list of nodes
@@ -1215,5 +1215,5 @@
         
         // Run through the string.
-        for ( $i = 0; $i < strlen($term); $i++ )
+        for ( $i = 0; $i < strlen($term); ++$i )
         {
             // Get the character at the position of the string.
@@ -1224,5 +1224,5 @@
             {
                 // Increase the number of brackets.
-                $brackets++;
+                ++$brackets;
             }
             elseif ( ( $character == ")" ) || ( $character == "]" ) )
@@ -1922,5 +1922,5 @@
             {
                 // Run through all childs with this name.
-                for ( $i = 1; $i <= $child_position; $i++ )
+                for ( $i = 1; $i <= $child_position; ++$i )
                 {
                     // Create the path of the child.
@@ -2076,5 +2076,5 @@
             {
                 // Run through all children of this name.
-                for ( $i = 1; $i <= $child_position; $i++ )
+                for ( $i = 1; $i <= $child_position; ++$i )
                 {
                     // Create the full path for the children.
@@ -2669,5 +2669,5 @@
             
         // Run through each argument and evaluate it.
-        for ( $i = 0; $i < sizeof($arguments); $i++ )
+        for ( $i = 0; $i < sizeof($arguments); ++$i )
         {
             // Trim each argument.
@@ -2840,5 +2840,5 @@
             
         // Run through all arguments.
-        for ( $i = 0; $i < sizeof($arguments); $i++ )
+        for ( $i = 0; $i < sizeof($arguments); ++$i )
         {
             // Trim the string.
@@ -2911,5 +2911,5 @@
         
         // Run through all arguments.
-        for ( $i = 0; $i < sizeof($arguments); $i++ )
+        for ( $i = 0; $i < sizeof($arguments); ++$i )
         {
             // Trim the argument.
@@ -3371,5 +3371,5 @@
 			
 			// Run through the array of arguments.
-			for ( $i = 1; $i < sizeof($arguments); $i++ )
+			for ( $i = 1; $i < sizeof($arguments); ++$i )
 			{
 				// Add the number of the argument to the command.
Index: /trunk/phpgwapi/inc/xmlrpc.interop.php
===================================================================
--- /trunk/phpgwapi/inc/xmlrpc.interop.php	(revision 2)
+++ /trunk/phpgwapi/inc/xmlrpc.interop.php	(revision 7655)
@@ -139,5 +139,5 @@
 		$rv = CreateObject('phpgwapi.xmlrpcval',array(), xmlrpcArray);
 
-		for($j=0; $j<$sz; $j++)
+		for($j=0; $j<$sz; ++$j)
 		{
 			$b = $v->arraymem($j);
@@ -208,5 +208,5 @@
 			// TODO: create debug method to print can work once more
 			// print "<!-- found $max array elements -->\n";
-			for($i=0; $i<$max; $i++)
+			for($i=0; $i<$max; ++$i)
 			{
 				$rec = $sno->arraymem($i);
@@ -342,5 +342,5 @@
 		$sno = $m->getParam(0);
 		$numcurly = 0;
-		for($i=0; $i<$sno->arraysize(); $i++)
+		for($i=0; $i<$sno->arraysize(); ++$i)
 		{
 			$str = $sno->arraymem($i);
@@ -457,5 +457,5 @@
 		$str=$sno->scalarval();
 		$gt=0; $lt=0; $ap=0; $qu=0; $amp=0;
-		for($i=0; $i<strlen($str); $i++)
+		for($i=0; $i<strlen($str); ++$i)
 		{
 			$c=substr($str, $i, 1);
@@ -463,17 +463,17 @@
 			{
 				case '>':
-					$gt++;
+					++$gt;
 					break;
 				case '<':
-					$lt++;
+					++$lt;
 					break;
 				case '"':
-					$qu++;
+					++$qu;
 					break;
 				case "'":
-					$ap++;
+					++$ap;
 					break;
 				case '&':
-					$amp++;
+					++$amp;
 					break;
 				default:
Index: /trunk/services/class.ldap.php
===================================================================
--- /trunk/services/class.ldap.php	(revision 5928)
+++ /trunk/services/class.ldap.php	(revision 7655)
@@ -231,5 +231,5 @@
         $return = array();
 
-        for ($i = 0; $i < $pEntries["count"]; $i++) {
+        for ($i = 0; $i < $pEntries["count"]; ++$i) {
             $entrieTmp = array();
             foreach ($pEntries[$i] as $index => $value) {
Index: /trunk/reports/inc/class.uireports_maillists.inc.php
===================================================================
--- /trunk/reports/inc/class.uireports_maillists.inc.php	(revision 6920)
+++ /trunk/reports/inc/class.uireports_maillists.inc.php	(revision 7655)
@@ -511,5 +511,5 @@
 				if ($fimgpg > 1)
 				{
-					for($x = $iniciogpg; $x <= $fimgpg; $x++)
+					for($x = $iniciogpg; $x <= $fimgpg; ++$x)
 					{
 						$varp = Array(
Index: /trunk/reports/inc/class.uireports_users.inc.php
===================================================================
--- /trunk/reports/inc/class.uireports_users.inc.php	(revision 6920)
+++ /trunk/reports/inc/class.uireports_users.inc.php	(revision 7655)
@@ -533,5 +533,5 @@
 				if ($fimgpg > 1)
 				{
-					for($x = $iniciogpg; $x <= $fimgpg; $x++)
+					for($x = $iniciogpg; $x <= $fimgpg; ++$x)
 					{
 						$varp = Array(
Index: /trunk/reports/inc/class.uireports_usersgroups.inc.php
===================================================================
--- /trunk/reports/inc/class.uireports_usersgroups.inc.php	(revision 6920)
+++ /trunk/reports/inc/class.uireports_usersgroups.inc.php	(revision 7655)
@@ -507,5 +507,5 @@
 				if ($fimgpg > 1)
 				{
-					for($x = $iniciogpg; $x <= $fimgpg; $x++)
+					for($x = $iniciogpg; $x <= $fimgpg; ++$x)
 					{
 						$varp = Array(
Index: /trunk/reports/inc/class.imap_functions.inc.php
===================================================================
--- /trunk/reports/inc/class.imap_functions.inc.php	(revision 6920)
+++ /trunk/reports/inc/class.imap_functions.inc.php	(revision 7655)
@@ -52,5 +52,5 @@
 				$return[$i] = $key;
 			}
-			$i++;
+			++$i;
 		}
 
Index: /trunk/reports/inc/class.uireports_shareAccounts.inc.php
===================================================================
--- /trunk/reports/inc/class.uireports_shareAccounts.inc.php	(revision 6920)
+++ /trunk/reports/inc/class.uireports_shareAccounts.inc.php	(revision 7655)
@@ -153,5 +153,5 @@
 						//Imprimir os participantes da conta compartilhada no PDF
 		                                $max = count($owner_user_share);
-        	                                for ($i=0; $i <= $max; $i++)
+        	                                for ($i=0; $i <= $max; ++$i)
                 	                        {
 							if ($max == $i)
@@ -500,5 +500,5 @@
                                         $max = count($owner_user_share);
                                         $row_participants = array();
-					for ($i=0; $i <= $max; $i++)
+					for ($i=0; $i <= $max; ++$i)
 	                                {
                                                 if (0 == $i)
@@ -571,5 +571,5 @@
 				if ($fimgpg > 1)
 				{
-					for($x = $iniciogpg; $x <= $fimgpg; $x++)
+					for($x = $iniciogpg; $x <= $fimgpg; ++$x)
 					{
 						$varp = Array(
Index: /trunk/reports/inc/class.fpdf.inc.php
===================================================================
--- /trunk/reports/inc/class.fpdf.inc.php	(revision 5291)
+++ /trunk/reports/inc/class.fpdf.inc.php	(revision 7655)
@@ -421,5 +421,5 @@
 	$w=0;
 	$l=strlen($s);
-	for($i=0;$i<$l;$i++)
+	for($i=0;$i<$l;++$i)
 		$w+=$cw[$s[$i]];
 	return $w*$this->FontSize/1000;
@@ -476,5 +476,5 @@
 		$d=0;
 		$nb=count($this->diffs);
-		for($i=1;$i<=$nb;$i++)
+		for($i=1;$i<=$nb;++$i)
 		{
 			if($this->diffs[$i]==$diff)
@@ -743,10 +743,10 @@
 			}
 			$this->Cell($w,$h,substr($s,$j,$i-$j),$b,2,$align,$fill);
-			$i++;
+			++$i;
 			$sep=-1;
 			$j=$i;
 			$l=0;
 			$ns=0;
-			$nl++;
+			++$nl;
 			if($border && $nl==2)
 				$b=$b2;
@@ -757,5 +757,5 @@
 			$sep=$i;
 			$ls=$l;
-			$ns++;
+			++$ns;
 		}
 		$l+=$cw[$c];
@@ -766,5 +766,5 @@
 			{
 				if($i==$j)
-					$i++;
+					++$i;
 				if($this->ws>0)
 				{
@@ -788,10 +788,10 @@
 			$l=0;
 			$ns=0;
-			$nl++;
+			++$nl;
 			if($border && $nl==2)
 				$b=$b2;
 		}
 		else
-			$i++;
+			++$i;
 	}
 	//Last chunk
@@ -828,5 +828,5 @@
 			//Explicit line break
 			$this->Cell($w,$h,substr($s,$j,$i-$j),0,2,'',0,$link);
-			$i++;
+			++$i;
 			$sep=-1;
 			$j=$i;
@@ -838,5 +838,5 @@
 				$wmax=($w-2*$this->cMargin)*1000/$this->FontSize;
 			}
-			$nl++;
+			++$nl;
 			continue;
 		}
@@ -856,10 +856,10 @@
 					$w=$this->w-$this->rMargin-$this->x;
 					$wmax=($w-2*$this->cMargin)*1000/$this->FontSize;
-					$i++;
-					$nl++;
+					++$i;
+					++$nl;
 					continue;
 				}
 				if($i==$j)
-					$i++;
+					++$i;
 				$this->Cell($w,$h,substr($s,$j,$i-$j),0,2,'',0,$link);
 			}
@@ -878,8 +878,8 @@
 				$wmax=($w-2*$this->cMargin)*1000/$this->FontSize;
 			}
-			$nl++;
+			++$nl;
 		}
 		else
-			$i++;
+			++$i;
 	}
 	//Last chunk
@@ -1382,5 +1382,5 @@
 	{
 		//Replace number of pages
-		for($n=1;$n<=$nb;$n++)
+		for($n=1;$n<=$nb;++$n)
 			$this->pages[$n]=str_replace($this->AliasNbPages,$nb,$this->pages[$n]);
 	}
@@ -1396,5 +1396,5 @@
 	}
 	$filter=($this->compress) ? '/Filter /FlateDecode ' : '';
-	for($n=1;$n<=$nb;$n++)
+	for($n=1;$n<=$nb;++$n)
 	{
 		//Page
@@ -1438,5 +1438,5 @@
 	$this->_out('<</Type /Pages');
 	$kids='/Kids [';
-	for($i=0;$i<$nb;$i++)
+	for($i=0;$i<$nb;++$i)
 		$kids.=(3+2*$i).' 0 R ';
 	$this->_out($kids.']');
@@ -1535,5 +1535,5 @@
 			$cw=&$font['cw'];
 			$s='[';
-			for($i=32;$i<=255;$i++)
+			for($i=32;$i<=255;++$i)
 				$s.=$cw[chr($i)].' ';
 			$this->_out($s.']');
@@ -1589,5 +1589,5 @@
 		{
 			$trns='';
-			for($i=0;$i<count($info['trns']);$i++)
+			for($i=0;$i<count($info['trns']);++$i)
 				$trns.=$info['trns'][$i].' '.$info['trns'][$i].' ';
 			$this->_out('/Mask ['.$trns.']');
@@ -1710,5 +1710,5 @@
 	$this->_out('0 '.($this->n+1));
 	$this->_out('0000000000 65535 f ');
-	for($i=1;$i<=$this->n;$i++)
+	for($i=1;$i<=$this->n;++$i)
 		$this->_out(sprintf('%010d 00000 n ',$this->offsets[$i]));
 	//Trailer
Index: /trunk/reports/inc/class.uireports_institutionalAccounts.inc.php
===================================================================
--- /trunk/reports/inc/class.uireports_institutionalAccounts.inc.php	(revision 6920)
+++ /trunk/reports/inc/class.uireports_institutionalAccounts.inc.php	(revision 7655)
@@ -147,5 +147,5 @@
 					// Lista os participantes da conta institucional
 					$max = count($row_mailforwardingaddress);
-					for ($i=0; $i <= $max; $i++)
+					for ($i=0; $i <= $max; ++$i)
 					{
 						if ($max == $i)
@@ -502,5 +502,5 @@
                                         $max = count($accountr['account_mailForwardingAddress']);
 					$row_participants = '';
-                                        for ($i=0; $i <= $max; $i++)
+                                        for ($i=0; $i <= $max; ++$i)
                                        {
                                                 if (0 == $i)
@@ -555,5 +555,5 @@
 				if ($fimgpg > 1)
 				{
-					for($x = $iniciogpg; $x <= $fimgpg; $x++)
+					for($x = $iniciogpg; $x <= $fimgpg; ++$x)
 					{
 						$varp = Array(
Index: /trunk/reports/inc/class.uireports_logon.inc.php
===================================================================
--- /trunk/reports/inc/class.uireports_logon.inc.php	(revision 6920)
+++ /trunk/reports/inc/class.uireports_logon.inc.php	(revision 7655)
@@ -641,5 +641,5 @@
 					if ($fimgpg > 1)
 					{
-						for($x = $iniciogpg; $x <= $fimgpg; $x++)
+						for($x = $iniciogpg; $x <= $fimgpg; ++$x)
 						{
 							$varp = Array(
